Skip to Content
kosemdocs
ReferenceAPIService accounts

List service account keys in project

Lists a service account's keys, without their secrets.

GET
/v1/projects/{project}/serviceAccounts/{serviceAccount}/keys

Lists a service account's keys, without their secrets.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
serviceAccount*string

The service account's ID.

Match^sa_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

serviceAccountKeys*array<>

Keys, oldest first, without their secrets.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/serviceAccounts/string/keys'
Example Response
{
  "nextPageToken": "string",
  "serviceAccountKeys": [
    {
      "createTime": "2019-08-24T14:15:22Z",
      "expireTime": "2019-08-24T14:15:22Z",
      "lastUseTime": "2019-08-24T14:15:22Z",
      "name": "string",
      "secret": "string"
    }
  ]
}